This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 223622 - hinting and underline regression in 2.3
hinting and underline regression in 2.3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
9
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Brock Organ
bzcl34nup
:
Depends On:
Blocks: FC7Target
  Show dependency treegraph
 
Reported: 2007-01-20 17:07 EST by Pierre Ossman
Modified: 2009-07-14 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:42:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gnome-terminal before (12.61 KB, image/png)
2007-01-20 17:07 EST, Pierre Ossman
no flags Details
gnome-terminal after (12.74 KB, image/png)
2007-01-20 17:08 EST, Pierre Ossman
no flags Details
Fedora 7 (157.96 KB, image/png)
2007-07-10 07:53 EDT, Pierre Ossman
no flags Details
Fedora Core 6 (141.54 KB, image/png)
2007-07-10 07:54 EDT, Pierre Ossman
no flags Details

  None (edit)
Description Pierre Ossman 2007-01-20 17:07:42 EST
I did an upgrade to freetype 2.3 today, and all fonts when nuts:

 * The subpixel hinting is now fussier by creating subpixels next to vertical
black lines, where previously it was a single, black pixel in width.

 * Character heights are very uneven. E.g. the dot over "i" and the letter "d"
is much taller than others.

 * Underlining in widgets (indicating hotkey) stretches over two characters
instead of one.
Comment 1 Pierre Ossman 2007-01-20 17:07:42 EST
Created attachment 146064 [details]
gnome-terminal before
Comment 2 Pierre Ossman 2007-01-20 17:08:11 EST
Created attachment 146065 [details]
gnome-terminal after
Comment 3 Pierre Ossman 2007-01-20 17:13:35 EST
The DPI calculation has also changed. I have to reduce my DPI setting to 95
(from 96) to get the same font size as before. This isn't necessarily a bug, but
it might be related.
Comment 4 Behdad Esfahbod 2007-01-21 18:10:40 EST
I can see the underline issue too, but I really don't think that it's because of
the freetype upgrade.  Or is it?  I can only see it in gnome-terminal.  You too,
right?
Comment 5 Pierre Ossman 2007-01-22 02:17:05 EST
No, I can see it in every GTK app (except mozilla software for some odd reason).
QT applications work though, so it might be pango. I don't really know how all
these font libs interconnect.
Comment 6 Alexei Podtelezhnikov 2007-01-22 11:24:07 EST
firefox/mozilla use compiled-in freetype, so they don't change.
Comment 7 Alexei Podtelezhnikov 2007-01-22 11:31:14 EST
In DejaVu-Sans font, 'i' and 'd' are actually taller than capital letters, so 
they are rendered properly. 
Comment 8 Behdad Esfahbod 2007-01-23 21:35:23 EST
The underline issue should be fixed.  It was a bug in pango-1.15.4.

Is the rest of this bug a dupe of bug 198082?
Comment 9 Pierre Ossman 2007-01-24 01:28:40 EST
It might contribute. I have been running freetype 2.2 for some time and haven't
had any problems.

I might just have been lucky and gotten a good font size though. With the 2.3
upgrade all the sizes shifted so I might be hitting that bug.
Comment 10 Pierre Ossman 2007-01-30 08:10:36 EST
Just to clarify...

I'm not sure this is a bug, just changed behaviour. What I'd like is to get a
confirmation that the change is desired and correct.

It looks "worse" now, but that might very well be because of bug 198082, as
without the size change (which is what this bug is about) I probably got a font
size that didn't trigger the problem in bug 198082.

I've also confirmed that it is freetype that causes this. I copied
libfreetype.lib.so.6 from FC6 and did some LD_LIBRARY_PATH voodoo.
Comment 11 Pierre Ossman 2007-02-01 04:27:28 EST
Ok, I'm now leaning more towards this being a bug. If I enable the patented
opcodes, then things go back to looking like 2.2.1. As they were disabled there
aswell, I'm guessing this option is now affecting something it shouldn't.
Comment 12 Pierre Ossman 2007-02-08 03:47:38 EST
Any comment on this? It should really be fixed before FC7.
Comment 13 Matthias Clasen 2007-04-17 19:31:37 EDT
Has the recent update to freetype 2.3.4 changed things here ?
Comment 14 Pierre Ossman 2007-04-18 03:19:13 EDT
Yes, for the worse. The rendering still looks "fuzzy", but now things no longer
trigger on gconf changes. If I change a setting I have to log out and in again
for the changes to take effect. :/
Comment 15 Matthias Clasen 2007-04-18 09:35:00 EDT
thats certainly not a freetype problem though. Most likely related to Ray's
recent async changes in gnome-settings-daemon, and possibly fixed in todays rawhide.
Comment 16 Behdad Esfahbod 2007-04-18 16:32:47 EDT
Can this be closed then?
Comment 17 Pierre Ossman 2007-04-19 10:04:31 EDT
No. The new bug is probably not related, but the original one remains.
Comment 18 Pierre Ossman 2007-07-10 07:35:40 EDT
Looking at the descriptions in bug 198082 (which seems to have drifted all over
the place in topic), I'd say the problem here can be summarised as:

Freetype 2.3 reduces the hinting done when using full hinting, producing a fuzzy
result for the standard fonts and DPI:s Fedora uses.
Disabling the patented TrueType hinter opcodes removes this regression,
suggesting that more, crucial, opcodes have been covered by it.

So the problem isn't inherently in Freetype, but rather the combination of
default fonts in Fedora and restrictions in Freetype which has the end result of
Fedora 7/Rawhide looking like crap compared to Fedora Core 6.

(PS. gconf changes still do not take)
Comment 19 Pierre Ossman 2007-07-10 07:53:04 EDT
Created attachment 158851 [details]
Fedora 7
Comment 20 Pierre Ossman 2007-07-10 07:54:38 EDT
Created attachment 158852 [details]
Fedora Core 6

Two more screen shots, clearly demonstrating the rendering difference. Note the
difference in size and the reduced hinting.
Comment 21 Pierre Ossman 2007-09-27 02:57:07 EDT
This being looked at? It is tagged as FC7Target, yet F8 is almost out.
Comment 22 Bug Zapper 2008-04-03 14:54:51 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 23 Bug Zapper 2008-05-13 22:33:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Bug Zapper 2009-06-09 18:24:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Bug Zapper 2009-07-14 12:42:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.